Modify

Opened 5 years ago

Closed 5 years ago

#10055 closed defect (fixed)

Display preset dialog on preset link even without dataset

Reported by: skyper Owned by: team
Priority: normal Milestone: 14.08
Component: Core Version:
Keywords: link preset ref Cc:

Description

With the new chunk option there was also an option to link to another preset implemented. Sadly the plugin does not support the new feature and you are not able to check if the link is working.

Please provide any additional information below. Attach a screenshot if
possible.

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2014-05-20 01:35:44
Last Changed Author: simon04
Revision: 7146
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2014-05-19 18:17:18 +0200 (Mon, 19 May 2014)
Last Changed Rev: 7146

Identification: JOSM/1.5 (7146 en) Linux Debian GNU/Linux 7.5 (wheezy)
Memory Usage: 199 MB / 882 MB (116 MB allocated, but free)
Java version: 1.7.0_55, Oracle Corporation, OpenJDK 64-Bit Server VM
Java package: openjdk-7-jre:amd64-7u55-2.4.7-1~deb7u1
VM arguments: [-Djosm.home=.josm-test/]
Program arguments: [--language=en]
Dataset consistency test: No problems found

Plugin: tagging-preset-tester (30416)

Attachments (0)

Change History (7)

comment:1 Changed 5 years ago by skyper

Strange now it works. Is there some problem with the reload function ? As I did restart JOSM in the mean time.

comment:2 Changed 5 years ago by skyper

Priority: normalminor

comment:3 Changed 5 years ago by skyper

Type: enhancementdefect

Ok, the problem exist if there is no data layer.

Last edited 5 years ago by skyper (previous) (diff)

comment:4 Changed 5 years ago by akks

Is this fixed too with 7322/josm ?

comment:5 in reply to:  4 Changed 5 years ago by skyper

Replying to akks:

Is this fixed too with 7322/josm ?

No, still the same. New window does only open with a data layer and even then it appears in background. Tested with lane attributes preset and the first two entries (Lanes(*)).

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2014-07-22 01:36:32
Last Changed Author: Don-vip
Revision: 7327
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2014-07-22 01:34:02 +0200 (Tue, 22 Jul 2014)
Last Changed Rev: 7327

Identification: JOSM/1.5 (7327 en) Linux Debian GNU/Linux 7.6 (wheezy)
Memory Usage: 208 MB / 882 MB (75 MB allocated, but free)
Java version: 1.7.0_55, Oracle Corporation, OpenJDK 64-Bit Server VM
Java package: openjdk-7-jre:amd64-7u55-2.4.7-1~deb7u1
VM arguments: [-Djosm.home=.josm-test/]
Program arguments: [--language=en]

Plugin: tagging-preset-tester (30541)

comment:6 Changed 5 years ago by Don-vip

Component: Plugin tagging-preset-testerCore
Milestone: 14.08
Priority: minornormal
Summary: support links to other presetsDisplay preset dialog on preset link even without dataset

comment:7 Changed 5 years ago by Don-vip

Resolution: fixed
Status: newclosed

In 7413/josm:

fix #10055 - Display preset dialog on preset link even without dataset

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.